[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discuss-gnuradio] gnuradio on osx 10.6.4

From: Elvis Dowson
Subject: Re: [Discuss-gnuradio] gnuradio on osx 10.6.4
Date: Mon, 19 Jul 2010 23:06:01 +0400

       Would someone happen to know the procedure to update gnuradio to use newer versions of autoconf-2.66 (perhaps I can revert this to 2.65, since Michael mentioned that 2.66 had issues) and libtool-2.2.10.

I've got 2 Mac OS X 10.6.4 installations, one with Mac ports installed and the other, which I am building completely from the sources. The mac ports version uses autoconf-2.65 and libtool-2.2.10, so I would like to update gnuradio to also work with those versions.

Here is the build error that I'm getting right now:

$ make
cd . && /bin/sh /Users/elvis/Tool/gnuradio/missing --run autoheader
aclocal.m4:17: error: this file was generated for autoconf 2.61.
You have another version of autoconf.  If you want to use that,
you should regenerate the build system entirely.
aclocal.m4:17: the top level
autom4te: /usr/bin/m4 failed with exit status: 63
autoheader: '/usr/local/bin/autom4te' failed with exit status: 63
WARNING: `autoheader' is probably too old.  You should only need it if
         you modified `acconfig.h' or `configure.ac'.  You might want
         to install the `Autoconf' and `GNU m4' packages.  Grab them
         from any GNU archive site.
rm -f stamp-h1
touch config.h.in
cd . && /bin/sh ./config.status config.h
config.status: creating config.h
config.status: config.h is unchanged
make  all-recursive
Making all in config
make[2]: Nothing to be done for `all'.
Making all in gruel
Making all in src
Making all in lib
Making all in pmt
PYTHONPATH=../../../../gruel/src/lib/pmt srcdir=. /usr/bin/python ./generate_unv.py
GUILE_LOAD_PATH="/Users/elvis/Tool/gnuradio/gruel/src/scheme" /usr/local/bin/guile -e main -s ./../../scheme/gnuradio/gen-serial-tags.scm ./../../scheme/gnuradio/pmt-serial-tags.scm /Users/elvis/Tool/gnuradio/gruel/src/include/gruel/pmt_serial_tags.h
make  all-am
/bin/sh ../../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../../..   -I/usr/local/include -I/usr/local/include   -I/Users/elvis/Tool/gnuradio/gruel/src/include -I/Users/elvis/Tool/gnuradio/gruel/src/include   -g -O2  -Wall -Woverloaded-virtual -D_THREAD_SAFE  -MT pmt.lo -MD -MP -MF .deps/pmt.Tpo -c -o pmt.lo pmt.cc
libtool: Version mismatch error.  This is libtool 2.2.10, but the
libtool: definition of this LT_INIT comes from libtool 2.2.4.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.10
libtool: and run autoconf again.
make[6]: *** [pmt.lo] Error 63
make[5]: *** [all] Error 2
make[4]: *** [all-recursive] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Best regards,

Elvis Dowson

reply via email to

[Prev in Thread] Current Thread [Next in Thread]